import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:wallpaperx/common/components/navigation_bar/base_appbar.dart';
import 'package:wallpaperx/page/feed_back/feed_back_controller.dart';
import 'package:wallpaperx/res/values/strings.dart';

class FeedBackView extends GetView<FeedBackController> {
  const FeedBackView({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black,
      appBar: BaseAppBar(
        "Feed Back",
        backgroundColor: Colors.black,
        titleStyle: TextStyle(color: Colors.white, fontSize: 24.sp),
      ),
      body: Container(
        padding: const EdgeInsets.all(15).w,
        child: _buildFeedback(),
      ),
    );
  }

  Widget _buildFeedback() {
    return SizedBox(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        children: [
          // 输入框
          Container(
            height: 150.w,
            padding: const EdgeInsets.fromLTRB(10, 0, 10, 10).w,
            margin: EdgeInsets.symmetric(vertical: 10.w),
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(8).r,
              border: Border.all(color: Colors.grey),
            ),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Expanded(
                  child: TextField(
                    focusNode: controller.focusNode,
                    onTapOutside: (e) => {controller.focusNode.unfocus()},
                    autofocus: false,
                    controller: controller.feedbackTextController,
                    maxLines: 7,
                    style: TextStyle(
                      color: Colors.white,
                      fontSize: 12.sp,
                    ),
                    decoration: InputDecoration(
                      border: InputBorder.none,
                      hintText: "Please input",
                      hintStyle: TextStyle(
                        color: Colors.white.withOpacity(.5),
                        fontSize: 12.sp,
                      ),
                    ),
                  ),
                ),
                // Row(
                //   children: [
                //     Container(
                //       width: 50.w,
                //       height: 50.w,
                //       decoration: BoxDecoration(
                //         borderRadius: BorderRadius.circular(8).r,
                //         border: Border.all(
                //           color: Colors.grey,
                //           width: 1.w,
                //         ),
                //       ),
                //       child: const Icon(
                //         Icons.add,
                //         color: Colors.grey,
                //       ),
                //     ),
                //     10.horizontalSpace,
                //     Text(
                //       "Add pictures or videos",
                //       maxLines: 1,
                //       overflow: TextOverflow.ellipsis,
                //       style: TextStyle(
                //         color: Colors.grey,
                //         fontSize: 12.sp,
                //       ),
                //     ),
                //   ],
                // ),
              ],
            ),
          ),
          Row(
            mainAxisAlignment: MainAxisAlignment.end,
            children: [
              GestureDetector(
                onTap: controller.feedBackSubmit,
                child: Container(
                  padding: EdgeInsets.symmetric(vertical: 2.w, horizontal: 5.w),
                  decoration: BoxDecoration(
                      borderRadius: BorderRadius.circular(20).r,
                      color: Colors.white),
                  child: Text(
                    "Submit",
                    maxLines: 1,
                    overflow: TextOverflow.ellipsis,
                    style: TextStyle(
                      color: Colors.black87,
                      fontSize: 12.sp,
                    ),
                  ),
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
